[A011]Patent Type Trend Analysis
Analyze the application trend of different patent types (invention patents, utility models, design patents) within a specified time range.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
Required | string | IPC:(H04L29/06) | query search statement |
Required | object | {
"end_year": "2025",
"start_year": "2006"
} | time range |
Required | string | 2020 | end year |
Required | string | 2015 | start year |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | object | - | response data |
source | array | [
{
"D": 0,
"U": 3,
"AB": 126,
"year": "2006",
"count": 129,
"patents_percentage": 0.9767
},
{
"D": 0,
"U": 1,
"AB": 189,
"year": "2007",
"count": 190,
"patents_percentage": 0.9947
},
{
"D": 0,
"U": 1,
"AB": 194,
"year": "2008",
"count": 195,
"patents_percentage": 0.9949
},
{
"D": 0,
"U": 4,
"AB": 182,
"year": "2009",
"count": 186,
"patents_percentage": 0.9785
},
{
"D": 0,
"U": 10,
"AB": 181,
"year": "2010",
"count": 191,
"patents_percentage": 0.9476
},
{
"D": 0,
"U": 14,
"AB": 172,
"year": "2011",
"count": 186,
"patents_percentage": 0.9247
},
{
"D": 0,
"U": 7,
"AB": 235,
"year": "2012",
"count": 242,
"patents_percentage": 0.9711
},
{
"D": 0,
"U": 13,
"AB": 289,
"year": "2013",
"count": 302,
"patents_percentage": 0.957
},
{
"D": 0,
"U": 8,
"AB": 351,
"year": "2014",
"count": 359,
"patents_percentage": 0.9777
},
{
"D": 0,
"U": 8,
"AB": 396,
"year": "2015",
"count": 404,
"patents_percentage": 0.9802
},
{
"D": 0,
"U": 19,
"AB": 494,
"year": "2016",
"count": 513,
"patents_percentage": 0.963
},
{
"D": 0,
"U": 16,
"AB": 534,
"year": "2017",
"count": 550,
"patents_percentage": 0.9709
},
{
"D": 0,
"U": 15,
"AB": 511,
"year": "2018",
"count": 526,
"patents_percentage": 0.9715
},
{
"D": 0,
"U": 13,
"AB": 488,
"year": "2019",
"count": 501,
"patents_percentage": 0.9741
},
{
"D": 0,
"U": 17,
"AB": 378,
"year": "2020",
"count": 395,
"patents_percentage": 0.957
},
{
"D": 0,
"U": 9,
"AB": 241,
"year": "2021",
"count": 250,
"patents_percentage": 0.964
},
{
"D": 0,
"U": 0,
"AB": 1,
"year": "2022",
"count": 1,
"patents_percentage": 1
},
{
"D": 0,
"U": 0,
"AB": 0,
"year": "2023",
"count": 0,
"patents_percentage": 0
},
{
"D": 0,
"U": 0,
"AB": 0,
"year": "2024",
"count": 0,
"patents_percentage": 0
},
{
"D": 0,
"U": 0,
"AB": 0,
"year": "2025",
"count": 0,
"patents_percentage": 0
}
] | source data |
d | integer<int32> | 100 | design patent count |
u | integer<int32> | 400 | utility model count |
ab | integer<int32> | 500 | invention patent count |
year | string | 2021 | year |
count | integer<int32> | 1000 | count |
patents_percentage | number<double> | 0.8 | patents percentage |
dimensions | object | {
"year": [
"2006",
"2007",
"2008",
"2009",
"2010",
"2011",
"2012",
"2013",
"2014",
"2015",
"2016",
"2017",
"2018",
"2019",
"2020",
"2021",
"2022",
"2023",
"2024",
"2025"
],
"count": [
"129",
"190",
"195",
"186",
"191",
"186",
"242",
"302",
"359",
"404",
"513",
"550",
"526",
"501",
"395",
"250",
"1",
"0",
"0",
"0"
],
"patent_type": [
"AB",
"U",
"D"
]
} | dimensions |
year | array | [
"2006",
"2007",
"2008",
"2009",
"2010",
"2011",
"2012",
"2013",
"2014",
"2015",
"2016",
"2017",
"2018",
"2019",
"2020",
"2021",
"2022",
"2023",
"2024",
"2025"
] | years |
count | array | [
"129",
"190",
"195",
"186",
"191",
"186",
"242",
"302",
"359",
"404",
"513",
"550",
"526",
"501",
"395",
"250",
"1",
"0",
"0",
"0"
] | counts |
patent_type | array | [
"AB",
"U",
"D"
] | patent types |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": {
"source": [
{
"d": 100,
"u": 400,
"ab": 500,
"year": 2021,
"count": 1000,
"patents_percentage": 0.8
}
],
"dimensions": {
"year": [
"2006",
"2007",
"2008",
"2009",
"2010",
"2011",
"2012",
"2013",
"2014",
"2015",
"2016",
"2017",
"2018",
"2019",
"2020",
"2021",
"2022",
"2023",
"2024",
"2025"
],
"count": [
"129",
"190",
"195",
"186",
"191",
"186",
"242",
"302",
"359",
"404",
"513",
"550",
"526",
"501",
"395",
"250",
"1",
"0",
"0",
"0"
],
"patent_type": [
"AB",
"U",
"D"
]
}
},
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms